Download it now!
Bug 129680 - Spacing and Indent controls make cursor disappear
Summary: Spacing and Indent controls make cursor disappear
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard: target:6.5.0 target:6.4.1 target:6.3.5
Keywords: regression
Depends on:
Blocks:
 
Reported: 2019-12-29 05:57 UTC by Jim Raykowski
Modified: 2020-03-08 22:37 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2019-12-29 05:57:44 UTC
Similar to bug 50530 but with increase/decrease paragraph spacing and increase/decrease indent controls.

Steps to repro:
1) Open Impress or Draw
2) Open the Sidebar (Ctrl+F5 or Menu > View > Sidebar)
3) Select the Properties deck
2) Enter some lines of text in a text edit box
	Line1
	Line2
	Line3
3) Set the cursor on any word in the entered text
4) In the Sidebar Properties deck > Paragraph panel > Spacing: toolbox, click on Increase Spacing control (first button in the Spacings: toolbox)

Result: Cursor disappears

5) Click on a word in the text edit box and try with Decrease Spacing control (second button in the Spacings: toolbox)

Result: Cursor disappears

6) Repeat using the Increase and Decrease Indent buttons in Indent: toolbox

Results: Cursor disappears

Expected results: Cursor remains visible
Comment 1 ian 2020-01-01 20:16:57 UTC
Thank you for reporting the bug. I can confirm that the bug is present in the same version of LibreOffice with which you tested in Windows. 

Version: 6.5.0.0.alpha0+ (x64)
Build ID: 209fc9fd7fa433947af0bf86e210d73fa7f5a045
CPU threads: 2; OS: Windows 10.0 Build 17763; UI render: GL; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: CL

I have reassigned the severity level to "minor," as there is only a "minor loss of function, or other problem where easy workaround is present."
Comment 2 Commit Notification 2020-01-16 07:03:07 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1840ed1ede481d28c1a75e2767357866f6f1c55a

tdf#129680 Make text edit outliner view show cursor

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2020-01-17 09:10:20 UTC
Also reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 5dfd5755c709e91d2903bd7be4582f7832e89780
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc:
Comment 4 Xisco Faulí 2020-01-17 09:11:41 UTC
Verified in

Version: 6.5.0.0.alpha0+
Build ID: cc36c115004cb75037b0e4fdadff09035f765cd5
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Jim, thanks for fixing this issue! Backporting fix in gerrit
Comment 5 Commit Notification 2020-01-17 10:30:38 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/5d2f65b299f849f4ca12c744945433569095cc1f

tdf#129680 Make text edit outliner view show cursor

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-01-17 12:31:05 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/9b4ffa3a111dd91842ae53e74454f0c752ba4ffe

tdf#129680 Make text edit outliner view show cursor

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.